| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
HideAction Class Reference
PDF » actions

Hide action object. More...

Inheritance diagram for HideAction:

## Public Member Functions
| getFieldNames ()
| Get all field names from the array of current hide action. More...
| getHideState ()
| Get the hide state. More...
| setFieldNames (fieldNames)
| Set field name array. More...
| setHideState (hideState)
| Set the hide state. More...
Public Member Functions inherited from Action
| getSubAction (index)
| Get a sub-action by index. More...
| getSubActionCount ()
| Get the count of sub-actions. More...
| getType ()
| Get action type. More...
| insertSubAction (index, action)
| Insert a new sub-action to the location specified by index. More...
| removeAllSubActions ()
| Remove all the sub-actions. More...
| removeSubAction (index)
| Remove a sub-action, specified by index. More...
| setSubAction (index, action)
| Set a sub-action by index. More...

## Detailed Description

Hide action object.

Deprecated:
  Action related APIs have been moved under each object.

See also
  Annot
  Widget
  PDFFormField
  PDFDoc

## Member Function Documentation

## ◆ getFieldNames()

HideAction::getFieldNames | ( |  | ) |
| inline

Get all field names from the array of current hide action.

Returns
  string[] - An array of field names.

## ◆ getHideState()

HideAction::getHideState | ( |  | ) |
| inline

Get the hide state.

Returns
  boolean - true means to hide specified fields , and false means to show specified fields.

## ◆ setFieldNames()

HideAction::setFieldNames | ( |  | fieldNames | ) |
| inline

Set field name array.

Parameters

  fieldNames | string[] - An array of form fields' names, to specify which fields is to hide or show.

Returns
  Promise<object> - An action object.

## ◆ setHideState()

HideAction::setHideState | ( |  | hideState | ) |
| inline

Set the hide state.

Parameters

  hideState | boolean - true means to hide specified fields, and false means to show specified fields.

Returns
  Promise<object> - An action object.

@2026 Foxit Software Incorporated. All rights reserved.